Summary:	Simple GTK graphing calculator
Name:		gtkgraph
Version:	0.6.2
Release:        %mkrel 8

License:	GPL
Group:		Sciences/Mathematics
BuildRequires:	XFree86-devel imlib-devel

Source0:	%{name}-%{version}.tar.bz2
## the following patch remove the overriding of CFLAGS in configure 0.6.1-7mdk (2000-12-04)
Patch:		gtkgraph-0.6.1-configure.in-fix.optflags.patch.bz2
URL:		http://vitelus.com/gtkgraph/
Buildroot:	%_tmppath/%name-%version-%release-root

%description
GtkGraph is an application designed to replace a conventional graphing
calculator. It allows you to plot up to 10 functions on the same graph.
Graphs may be exported to PostScript, printed, or exported to any bitmap file
format that Imlib supports. The user can zoom and scroll, or set
the range manually with X/Y minimums and X/Y maximums. In addition, a small
arithmatic calculator window is included, which has a convenient history
mechanism.

%prep

%setup -q
%patch -p1

%build
%configure
%make

%install
rm -fr %buildroot

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}

%makeinstall

%{find_lang} %{name}

#install menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%name <<EOF
?package(gtkgraph): needs="X11" \
icon="mathematics_section.png" \
section="Applications/Sciences/Mathematics" \
title="GtkGraph" longtitle="Graphic Calculator" \
command="gtkgraph"
EOF

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root)
%doc ChangeLog INSTALL ABOUT-NLS BUGS AUTHORS HACKING README TODO
%{_bindir}/gtkgraph
%{_menudir}/gtkgraph

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Nov 02 2006 Texstar <texstar@houston.rr.com> 0.6.2-8pclos2007
- Build for PCLinuxOS 2007

